#ifndef RENDERER_HPP
#define RENDERER_HPP

GLuint generate_vertex_buffer(std::vector<glm::vec3> & indexed_vertices);
GLuint generate_uv_buffer(std::vector<glm::vec2>& indexed_uvs);
GLuint generate_normal_buffer(std::vector<glm::vec3>& indexed_normals);
GLuint generate_element_buffer(std::vector<unsigned short>& indices);
void draw(GLuint vertexbuffer, GLuint uvbuffer, GLuint normalbuffer, GLuint elementbuffer, std::vector<unsigned short>& indices);
void draw_sdwmap(GLuint vertexbuffer, GLuint elementbuffer, std::vector<unsigned short>& indices);
#endif
